package com.bocloud.ims.service.model;

/**
 * 资源监控信息
 * 
 * @author wangyu
 * @Version 1.0
 * @since 2017年7月7日
 */
public class ResourceMonitorInfo {

	private Double cpu;// cpu已使用百分比
	private Double memory;// 内存已使用百分比
	private Double disk;// 硬盘已使用百分比

	/**
	 * @param cpu
	 * @param memory
	 * @param disk
	 */
	public ResourceMonitorInfo(Double cpu, Double memory, Double disk) {
		super();
		this.cpu = cpu;
		this.memory = memory;
		this.disk = disk;
	}

	/**
	 * @return the cpu
	 */
	public Double getCpu() {
		return cpu;
	}

	/**
	 * @param cpu
	 *            the cpu to set
	 */
	public void setCpu(Double cpu) {
		this.cpu = cpu;
	}

	/**
	 * @return the memory
	 */
	public Double getMemory() {
		return memory;
	}

	/**
	 * @param memory
	 *            the memory to set
	 */
	public void setMemory(Double memory) {
		this.memory = memory;
	}

	/**
	 * @return the disk
	 */
	public Double getDisk() {
		return disk;
	}

	/**
	 * @param disk
	 *            the disk to set
	 */
	public void setDisk(Double disk) {
		this.disk = disk;
	}

}
